Bug 740641 - aeolus-image/conductor unable to push specifically to vsphere
Summary: aeolus-image/conductor unable to push specifically to vsphere
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: imagefactory
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Richard Su
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 19:41 UTC by wes hayutin
Modified: 2012-01-26 12:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-07 12:49:55 UTC


Attachments (Terms of Use)

Description wes hayutin 2011-09-22 19:41:19 UTC
Description of problem:

[root@unused noarch]# aeolus-image build --target vsphere --template /root/RHEL61.tpl 

Target Image: 322c88c0-302b-40fd-a3eb-7da1c6c3505e
Image: d74473f1-a5b7-4374-b0b7-ce2d101045e0
Build: cb9a0acc-0b76-4933-8b48-b31a686aa600
Status: BUILDING
Percent Complete: 0
[root@unused noarch]# aeolus-image push --provider vsphere --id d74473f1-a5b7-4374-b0b7-ce2d101045e0
An Error occured whilst trying to push this build, please check aeolus-image --help for details on how to use this command


************* /var/log/imagefactory.log*************8

2011-09-22 15:20:26,457 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: launch guestfs
2011-09-22 15:20:33,470 INFO imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: Creating cloud-info file indicating target (vsphere)
2011-09-22 15:20:33,494 INFO imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: Updating rc.local with Audrey conditional
2011-09-22 15:20:36,185 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: Removed HWADDR from image's /etc/sysconfig/network-scripts/ifcfg-eth0
2011-09-22 15:20:36,603 INFO imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: Transforming image for use on VMWare
2011-09-22 15:20:36,603 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: Converting raw kvm image (/var/tmp/base-image-322c88c0-302b-40fd-a3eb-7da1c6c3505e.dsk) to vmware stream-optimized image (/var/tmp/vmware-image-322c88c0-302b-40fd-a3eb-7da1c6c3505e.vmdk)
2011-09-22 15:22:45,849 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: VMWare stream conversion complete
2011-09-22 15:22:45,849 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: Storing Fedora image at http://localhost:9090/...
2011-09-22 15:22:45,890 INFO imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Creating a bucket returned status 500.
2011-09-22 15:22:45,953 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Setting metadata ({'object_type': 'template', 'uuid': '4015cdbc-b41f-44a5-999f-1fcc91fbca1b'}) for http://localhost:9090/templates/4015cdbc-b41f-44a5-999f-1fcc91fbca1b
2011-09-22 15:22:45,957 INFO imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Creating a bucket returned status 500.
2011-09-22 15:22:45,960 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Setting metadata ({'object_type': 'icicle', 'uuid': '061470bc-1c55-4711-b45b-ae4c8099c77e'}) for http://localhost:9090/icicles/061470bc-1c55-4711-b45b-ae4c8099c77e
2011-09-22 15:22:45,963 INFO imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Creating a bucket returned status 500.
2011-09-22 15:22:45,978 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 0kB of 351279kB
2011-09-22 15:22:46,288 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 10240kB of 351279kB
2011-09-22 15:22:46,585 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 20480kB of 351279kB
2011-09-22 15:22:46,959 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 30720kB of 351279kB
2011-09-22 15:22:47,331 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 40960kB of 351279kB
2011-09-22 15:22:47,776 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 51200kB of 351279kB
2011-09-22 15:22:48,099 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 61440kB of 351279kB
2011-09-22 15:22:48,522 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 71680kB of 351279kB
2011-09-22 15:22:48,871 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 81920kB of 351279kB
2011-09-22 15:22:49,203 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 92160kB of 351279kB
2011-09-22 15:22:49,535 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 102400kB of 351279kB
2011-09-22 15:22:49,906 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 112640kB of 351279kB
2011-09-22 15:22:50,248 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 122880kB of 351279kB
2011-09-22 15:22:50,538 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 133120kB of 351279kB
2011-09-22 15:22:50,928 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 143360kB of 351279kB
2011-09-22 15:22:51,293 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 153600kB of 351279kB
2011-09-22 15:22:51,728 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 163840kB of 351279kB
2011-09-22 15:22:52,138 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 174080kB of 351279kB
2011-09-22 15:22:52,495 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 184320kB of 351279kB
2011-09-22 15:22:53,977 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 194560kB of 351279kB
2011-09-22 15:22:54,380 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 204800kB of 351279kB
2011-09-22 15:22:54,755 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 215040kB of 351279kB
2011-09-22 15:22:55,146 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 225280kB of 351279kB
2011-09-22 15:22:55,470 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 235520kB of 351279kB
2011-09-22 15:22:55,825 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 245760kB of 351279kB
2011-09-22 15:22:56,200 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 256000kB of 351279kB
2011-09-22 15:22:56,473 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 266240kB of 351279kB
2011-09-22 15:22:56,813 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 276480kB of 351279kB
2011-09-22 15:22:57,228 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 286720kB of 351279kB
2011-09-22 15:22:57,650 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 296960kB of 351279kB
2011-09-22 15:22:58,000 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 307200kB of 351279kB
2011-09-22 15:22:58,108 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 317440kB of 351279kB
2011-09-22 15:22:58,303 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 327680kB of 351279kB
2011-09-22 15:22:58,413 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 337920kB of 351279kB
2011-09-22 15:22:58,523 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 348160kB of 351279kB
2011-09-22 15:22:58,553 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 351279kB of 351279kB
2011-09-22 15:22:58,554 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 351279kB of 351279kB
2011-09-22 15:22:58,563 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 351279kB of 351279kB
2011-09-22 15:22:58,563 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 351279kB of 351279kB
2011-09-22 15:22:58,563 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: 351279kB of 351279kB
2011-09-22 15:22:58,563 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Setting metadata ({'icicle': '061470bc-1c55-4711-b45b-ae4c8099c77e', 'uuid': '322c88c0-302b-40fd-a3eb-7da1c6c3505e', 'template': '4015cdbc-b41f-44a5-999f-1fcc91fbca1b', 'target_parameters': 'No target parameters for cloud type vsphere', 'object_type': 'target_image', 'target': 'vsphere', 'build': 'cb9a0acc-0b76-4933-8b48-b31a686aa600'}) for http://localhost:9090/target_images/322c88c0-302b-40fd-a3eb-7da1c6c3505e
2011-09-22 15:22:58,573 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: Image warehouse storage complete
2011-09-22 15:22:58,573 DEBUG imgfac.BuildJob.BuildAdaptor pid(14690) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed percent complete from 50 to 100
2011-09-22 15:22:58,574 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Getting metadata (['latest_unpushed']) from http://localhost:9090/images/d74473f1-a5b7-4374-b0b7-ce2d101045e0
2011-09-22 15:22:58,575 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Getting metadata (['latest_build']) from http://localhost:9090/images/d74473f1-a5b7-4374-b0b7-ce2d101045e0
2011-09-22 15:22:58,577 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Setting metadata ({'latest_unpushed': 'cb9a0acc-0b76-4933-8b48-b31a686aa600'}) for http://localhost:9090/images/d74473f1-a5b7-4374-b0b7-ce2d101045e0
2011-09-22 15:22:58,579 DEBUG imgfac.BuildJob.BuildAdaptor pid(14690) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from BUILDING to COMPLETED
2011-09-22 15:24:39,407 DEBUG imgfac.qmfagent.ImageFactoryAgent.ImageFactoryAgent pid(14690) Message: Method called: name = push_image 
 args = {'credentials': '*** REDACTED ***', 'image': 'd74473f1-a5b7-4374-b0b7-ce2d101045e0', 'build': '', 'providers': ['vsphere']} 
 handle = <cqmf2.AgentEvent; proxy of <Swig Object of type 'qmf::AgentEvent *' at 0xfafde0> > 
 addr = redhat.com:imagefactory:cc25bb70-c534-421a-81ee-0cb725e51db6:image_factory 
 subtypes = {} 
 userId = anonymous
2011-09-22 15:24:39,407 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Getting metadata (['latest_unpushed']) from http://localhost:9090/images/d74473f1-a5b7-4374-b0b7-ce2d101045e0
2011-09-22 15:24:39,421 WARNING imgfac.BuildDispatcher.BuildDispatcher pid(14690) Message: No matching provider found for vsphere, using "condorcloud" by default.
2011-09-22 15:24:39,422 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Querying (http://localhost:9090/target_images/_query) with expression ($build == "cb9a0acc-0b76-4933-8b48-b31a686aa600" && $target == "condorcloud")
2011-09-22 15:24:39,443 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Getting metadata (['template']) from http://localhost:9090/target_images/None
2011-09-22 15:24:39,444 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Created Image Warehouse instance http://localhost:9090 - buckets(target_images, templates, icicles, provider_images)
2011-09-22 15:24:39,444 ERROR imgfac.qmfagent.ImageFactoryAgent.ImageFactoryAgent pid(14690) Message: 'template' must be a UUID, URL, XML string or XML document path...
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imgfac/qmfagent/ImageFactoryAgent.py", line 76, in method
    result = getattr(target_obj, methodName)(**args)
  File "/usr/lib/python2.7/site-packages/imgfac/qmfagent/ImageFactory.py", line 122, in push_image
    return BuildDispatcher().push_image_to_providers(image, build, providers, credentials, BuildAdaptor, self.agent)
  File "/usr/lib/python2.7/site-packages/imgfac/BuildDispatcher.py", line 83, in push_image_to_providers
    job = job_cls(template, target, image_id, build_id, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/imgfac/qmfagent/BuildAdaptor.py", line 72, in __init__
    super(BuildAdaptor, self).__init__(template, target, image_id, build_id)
  File "/usr/lib/python2.7/site-packages/imgfac/BuildJob.py", line 39, in __init__
    self.template = template if isinstance(template, Template) else Template(template)
  File "/usr/lib/python2.7/site-packages/imgfac/Template.py", line 79, in __init__
    raise ValueError("'template' must be a UUID, URL, XML string or XML document path...")
ValueError: 'template' must be a UUID, URL, XML string or XML document path...
2011-09-22 15:29:20,108 DEBUG imgfac.qmfagent.ImageFactoryAgent.ImageFactoryAgent pid(14690) Message: Method called: name = push_image 
 args = {'credentials': '*** REDACTED ***', 'image': 'd74473f1-a5b7-4374-b0b7-ce2d101045e0', 'build': '', 'providers': ['vsphere']} 
 handle = <cqmf2.AgentEvent; proxy of <Swig Object of type 'qmf::AgentEvent *' at 0xfafde0> > 
 addr = redhat.com:imagefactory:cc25bb70-c534-421a-81ee-0cb725e51db6:image_factory 
 subtypes = {} 
 userId = anonymous
***************************************************************8

[root@unused conductor]# rpm -qa | grep conductor
aeolus-conductor-doc-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-conductor-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-conductor-devel-0.4.0-0.20110922165939git5b371be.fc15.noarch
[root@unused conductor]# cd /root/conductor/
[root@unused conductor]# git show
commit 5b371bef47e8214507121b011cda68d41b8f0a37
Author: Jan Provaznik <jprovazn@redhat.com>

Comment 2 Mike Orazi 2011-09-26 15:10:54 UTC
Are you able to see the provider in the conductor UI & connect to vsphere via the deltacloud-core UI?

Comment 3 Mike Orazi 2011-09-26 17:36:52 UTC
Actually, I saw a patch flow through that might address this issue.  Richard, can you confirm?

Comment 4 Richard Su 2011-09-26 18:47:38 UTC
I inadvertently dropped the json file when reorganizing vsphere into its own profile. 

This is fixed on configure commit ff33f9b54967490ddd02464b8e147b39d4dfeaa3 and aeolus-configure-2.0.2-4.20110923140029gitff33f9b.fc15.noarch.rpm.

Comment 5 wes hayutin 2011-09-26 20:47:52 UTC
latest attempt failed..

, initial)>), changed percent complete from 50 to 100
2011-09-26 16:26:00,137 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(8549) Message: Getting metadata (['latest_unpushed']) from http://localhost:9090/images/f2cf5336-6a86-46ef-880f-fb7d068b1998
2011-09-26 16:26:00,138 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(8549) Message: Getting metadata (['latest_build']) from http://localhost:9090/images/f2cf5336-6a86-46ef-880f-fb7d068b1998
2011-09-26 16:26:00,140 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(8549) Message: Setting metadata ({'latest_unpushed': '675aebf8-ec6c-4503-8a15-7cec45b8bb74'}) for http://localhost:9090/images/f2cf5336-6a86-46ef-880f-fb7d068b1998
2011-09-26 16:26:00,142 DEBUG imgfac.BuildJob.BuildAdaptor pid(8549) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from BUILDING to COMPLETED











2011-09-26 16:27:22,804 DEBUG imgfac.qmfagent.ImageFactoryAgent.ImageFactoryAgent pid(8549) Message: Method called: name = push_image 
 args = {'credentials': '*** REDACTED ***', 'image': 'f2cf5336-6a86-46ef-880f-fb7d068b1998', 'build': '', 'providers': ['vsphere']} 
 handle = <cqmf2.AgentEvent; proxy of <Swig Object of type 'qmf::AgentEvent *' at 0x12efbd0> > 
 addr = redhat.com:imagefactory:6c6754ef-c066-458c-accc-00e6edd850d5:image_factory 
 subtypes = {} 
 userId = anonymous
2011-09-26 16:27:22,804 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(8549) Message: Getting metadata (['latest_unpushed']) from http://localhost:9090/images/f2cf5336-6a86-46ef-880f-fb7d068b1998
2011-09-26 16:27:22,873 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(8549) Message: Querying (http://localhost:9090/target_images/_query) with expression ($build == "675aebf8-ec6c-4503-8a15-7cec45b8bb74" && $target == "vsphere")
2011-09-26 16:27:22,896 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(8549) Message: Getting metadata (['template']) from http://localhost:9090/target_images/b6de0e85-17e9-452f-8828-832c25505dc5
2011-09-26 16:27:22,897 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(8549) Message: Created Image Warehouse instance http://localhost:9090 - buckets(target_images, templates, icicles, provider_images)
2011-09-26 16:27:22,901 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(8549) Message: Created Image Warehouse instance http://localhost:9090 - buckets(target_images, templates, icicles, provider_images)
2011-09-26 16:27:22,902 DEBUG imgfac.BuildJob.BuildAdaptor pid(8549) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from NEW to PUSHING
2011-09-26 16:27:22,903 DEBUG imgfac.BuildJob.BuildAdaptor pid(8549) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed percent complete from 0 to 0
2011-09-26 16:27:22,930 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(8549) Message: Exception caught in ImageFactory
2011-09-26 16:27:22,978 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(8549) Message: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_vsphere_Builder.py", line 234, in push_image_upload
    credentials)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_vsphere_Builder.py", line 206, in vmware_push_image_upload
    self.generic_decode_credentials(credentials, provider_data)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_vsphere_Builder.py", line 243, in generic_decode_credentials
    doc = libxml2.parseDoc(credentials)
  File "/usr/lib64/python2.7/site-packages/libxml2.py", line 1263, in parseDoc
    if ret is None:raise parserError('xmlParseDoc() failed')
parserError: xmlParseDoc() failed

2011-09-26 16:27:22,978 DEBUG imgfac.BuildJob.BuildAdaptor pid(8549) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from PUSHING to FAILED
2011-09-26 16:27:22,979 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(8549) Message: Exception caught in ImageFactory
2011-09-26 16:27:22,979 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(8549) Message: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_vsphere_Builder.py", line 192, in push_image
    self.push_image_upload(target_image_id, provider, credentials)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_vsphere_Builder.py", line 234, in push_image_upload
    credentials)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_vsphere_Builder.py", line 206, in vmware_push_image_upload
    self.generic_decode_credentials(credentials, provider_data)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_vsphere_Builder.py", line 243, in generic_decode_credentials
    doc = libxml2.parseDoc(credentials)
  File "/usr/lib64/python2.7/site-packages/libxml2.py", line 1263, in parseDoc
    if ret is None:raise parserError('xmlParseDoc() failed')
parserError: xmlParseDoc() failed

2011-09-26 16:27:22,979 DEBUG imgfac.BuildJob.BuildAdaptor pid(8549) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from FAILED to FAILED

[root@unused ~]# rpm -qa | grep aeolus
aeolus-conductor-0.4.0-0.20110921152740gitac47a38.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110921152740gitac47a38.fc15.noarch
aeolus-all-0.4.0-0.20110921152740gitac47a38.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110921152740gitac47a38.fc15.noarch
aeolus-configure-2.0.2-4.20110926142838git5044e56.fc15.noarch
[root@unused ~]# rpm -qa | grep factory
imagefactory-0.6.2-1.fc15.noarch
rubygem-imagefactory-console-0.5.0-4.20110824113238gitd9debef.fc15.noarch
[root@unused ~]# rpm -qa |  grep iwhd
iwhd-0.98.15.z3-1.fc15.x86_64
[root@unused ~]#

Comment 6 wes hayutin 2011-09-26 22:36:05 UTC
2011-09-26 17:41:42,967 DEBUG imgfac.qmfagent.ImageFactoryAgent.ImageFactoryAgent pid(10078) Message: Method called: name = push_image 
 args = {'credentials': '*** REDACTED ***', 'image': '7dca54f0-e4d7-44bd-a362-8c5af6d9094a', 'build': '', 'providers': ['vsphere']} 
 handle = <cqmf2.AgentEvent; proxy of <Swig Object of type 'qmf::AgentEvent *' at 0x1b4dbd0> > 
 addr = redhat.com:imagefactory:fca868ba-c233-4839-ac67-d1500e13bc5b:image_factory 
 subtypes = {} 
 userId = anonymous
2011-09-26 17:41:42,968 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(10078) Message: Getting metadata (['latest_unpushed']) from http://localhost:9090/images/7dca54f0-e4d7-44bd-a362-8c5af6d9094a
2011-09-26 17:41:43,039 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(10078) Message: Querying (http://localhost:9090/target_images/_query) with expression ($build == "1d447a4e-7f76-4374-a4ce-d266b5052928" && $target == "vsphere")
2011-09-26 17:41:43,061 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(10078) Message: Getting metadata (['template']) from http://localhost:9090/target_images/3b1f35b4-20ee-449d-9096-d03550519025
2011-09-26 17:41:43,063 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(10078) Message: Created Image Warehouse instance http://localhost:9090 - buckets(target_images, templates, icicles, provider_images)
2011-09-26 17:41:43,066 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(10078) Message: Created Image Warehouse instance http://localhost:9090 - buckets(target_images, templates, icicles, provider_images)
2011-09-26 17:41:43,067 DEBUG imgfac.BuildJob.BuildAdaptor pid(10078) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from NEW to PUSHING
2011-09-26 17:41:43,068 DEBUG imgfac.BuildJob.BuildAdaptor pid(10078) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed percent complete from 0 to 0
2011-09-26 17:41:43,069 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(10078) Message: RWSU credentials: <?xml version="1.0"?>
<provider_accounts/>

2011-09-26 17:41:43,095 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(10078) Message: Image file /var/tmp/vmware-image-3b1f35b4-20ee-449d-9096-d03550519025.vmdk already present - skipping warehouse download
2011-09-26 17:46:42,180 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(10078) Message: Setting metadata ({'target_image': '3b1f35b4-20ee-449d-9096-d03550519025', 'uuid': '24e51acc-afce-4eea-ad1c-889395fc1802', 'icicle': 'none', 'target_identifier': 'factory-image-24e51acc-afce-4eea-ad1c-889395fc1802', 'object_type': 'provider_image', 'provider': 'vsphere'}) for http://localhost:9090/provider_images/24e51acc-afce-4eea-ad1c-889395fc1802
2011-09-26 17:46:42,187 DEBUG imgfac.BuildJob.BuildAdaptor pid(10078) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed percent complete from 0 to 100
2011-09-26 17:46:42,189 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(10078) Message: Setting metadata ({'latest_build': '1d447a4e-7f76-4374-a4ce-d266b5052928'}) for http://localhost:9090/images/7dca54f0-e4d7-44bd-a362-8c5af6d9094a
2011-09-26 17:46:42,191 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(10078) Message: Setting metadata ({'latest_unpushed': None}) for http://localhost:9090/images/7dca54f0-e4d7-44bd-a362-8c5af6d9094a
2011-09-26 17:46:42,192 DEBUG imgfac.BuildJob.BuildAdaptor pid(10078) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from PUSHING to COMPLETED

[root@unused nodes]# rpm -qa | grep aeolus
aeolus-conductor-0.4.0-0.20110926211730git1cc372b.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110926211730git1cc372b.fc15.noarch
aeolus-all-0.4.0-0.20110926211730git1cc372b.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110926211730git1cc372b.fc15.noarch
aeolus-conductor-devel-0.4.0-0.20110926211730git1cc372b.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
aeolus-configure-2.0.2-4.20110926142838git5044e56.fc15.noarch


Note You need to log in before you can comment on or make changes to this bug.